WordPress.org

Ready to get started?Download WordPress

Plugin Directory

!This plugin hasn't been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

WP-Sportnews

Adapted version of the KB Advanced RSS Widget to be used with preset Sportgate News Feeds only, complete with user-friendly customization options

What code do I need to place in my sidebar?

None. This is a widget. If you are using pre-WP v2.2, you need to have the widgets plugin running. No matter what version of WP you're using, you need to be using a widgets-enabled theme.

The feeds don't update

They update only once per hour (as coded in wordpress/includes/rss.php). If they don't update after more than a couple hours, look in the top of WP-Sportnews.php for this line:

define('SGRSS_FORCECACHE', false);

and change it to true. This will manually delete the cache if it's more than 1 hour old. In newer versions of WordPress, manually deleting the cache in this manner might cause a small error next time you load the page. Just reload the page.

I add the widget to my sidebar, but it doesn't show up

In the widget's options, make sure the option to hide the widget when the feed is down is not checked. Go back to your website and reload.

The feed is probably down

This widget relies on WordPress's feed parsing abilities (look in wordpress/includes/rss.php). WordPress grabs the requested feed then passes it to this widget for formatting. If you are seeing this error, it means one of three things:

  1. The feed really is down. Wait a while and try again.
  2. Your host is blocking WordPress from fetching the feed (very likely). Read more here.
  3. WordPress's feed parser isn't working. Try updating to the most recent version of WordPress.
  4. Some users of this widget have suggested additional solutions to this problem. Check out the comments on this blog post.

In any case, you may want to first try using WordPress's built-in RSS widget. If neither it nor this widget can display the feed, then you know for certain that it's one of those three reasons--and not the widget itself--causing the failure.

Requires: 2.0 or higher
Compatible up to: 2.5
Last Updated: 2008-6-1
Downloads: 2,290

Ratings

5 stars
5 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.